<template>
    <MarkdownHolder>
        <Create></Create>
        <img :src="i.step1">
        <create2></create2>
        <img :src="i.step2">
        <create3></create3>
        <img :src="i.step3">
        <create4></create4>
        <img :src="i.step4">
        <create5></create5>
        <img :src="i.step51">
        <img :src="i.step52">
        <create6></create6>
        <img :src="i.step6">
        <create7></create7>
        <img :src="i.step7">
        <create8></create8>
        <img :src="i.step8">
        <create9></create9>
        <img :src="i.step9">
        <create10></create10>
        <img :src="i.step10">
        <div class="md-blank"></div>
        <NextStep to="write"></NextStep>
    </MarkdownHolder>
</template>

<style lang='scss' scoped>

    .center {
        position: relative;
        left: 50%;
        transform: translateX(-50%);
    }

    .holder {
        display: block;
        padding: 30px;
        font-family: Roboto, sans-serif;
        width: 800px;
        box-sizing: border-box;
        @extend .center;
    }
</style>

<script lang='ts'>
	import {Component, Vue} from 'vue-property-decorator';

	import Create from "./Markdown/Create.md";
	import Create2 from "./Markdown/Create2.md";
	import Create3 from "./Markdown/Create3.md";
	import Create4 from "./Markdown/Create4.md";
	import Create5 from "./Markdown/Create5.md";
	import Create6 from "./Markdown/Create6.md";
	import Create7 from "./Markdown/Create7.md";
	import Create8 from "./Markdown/Create8.md";
	import Create9 from "./Markdown/Create9.md";
	import Create10 from "./Markdown/Create10.md";
	import {images} from "../../../images";
	import MarkdownHolder from "../MarkdownHolder.vue";
	import NextStep from "./NextStep.vue";

	@Component({
		components: {
			NextStep,
			MarkdownHolder,
			Create, Create2, Create3, Create4, Create5, Create6, Create7, Create8, Create9, Create10
		}
	})
	export default class Scaffold extends Vue {
		data() {
			return {
				i: images.tutorial.create
			}
		}
	}
</script>
